//---------------------------------------------------------------------------

#ifndef FormBTRDUnitH
#define FormBTRDUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include "CGAUGES.h"
extern "C"
{
        #include "bt_mp_dll_build.h"
        #include "RtlBluetoothMP.h"
        #include "bt_mp_calibration_base.h"
       // #include "bt_Actsio.h"
}
//---------------------------------------------------------------------------
class TForm_BTRD : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *TabSheet_RD_Func;
        TBitBtn *BitBtn_SCRIPT_RUN;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TMemo *Memo_msg;
        TPageControl *PageControl2;
        TTabSheet *TabSheet1;
        TEdit *Edit_savepath;
        TSpeedButton *SpeedButton1;
        TBitBtn *BitBtn_ClearMsg;
        TCheckBox *CheckBox_CLEARFILE;
        TCheckBox *CheckBox_show;
        TCGauge *CGauge_RUN;
        void __fastcall BitBtn_SCRIPT_RUNClick(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall BitBtn_ClearMsgClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        BASE_BTMPDLL_MODULE *pBluetoothModule;
        BT_PARAMETER *pParam;
        void SetBluetoothModule(BASE_BTMPDLL_MODULE *pBtModule);
        __fastcall TForm_BTRD(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm_BTRD *Form_BTRD;
//---------------------------------------------------------------------------
#endif
